:root {
    --primary_clr: #1a1a3d;
    --priamry_active: #282854;
    --primary_light:#dfdfffd9;

    /*secondry  */
    --secodry_action: #5b5b9f;
    --black-font-clr: #1b1b1b;
    --white-font-clr: #fff;


    /* transparent */
    --trans:#1a1a3d00;
}

.rtl {
    direction: ltr;
}

.password-toggle-btn .password-toggle-indicator:hover {
    color: var(--primary_clr);
}

.password-toggle-btn .custom-control-input:checked~.password-toggle-indicator {
    color: var(--priamry_active);
}

.dropdown-item:hover,
.dropdown-item:focus {
    color: var(--primary_clr);
}

.dropdown-item.active,
.dropdown-item:active {
    color: var(--priamry_active);
}

.navbar-light .navbar-tool-icon-box {
    color: var(--primary_clr);
}

.search_button {
    background-color: var(--primary_clr);
}


.navbar-stuck-menu {
    background-color: var(--primary_clr) !important;
}

.mega-nav .nav-item .nav-link {
    color: var(--primary_clr) !important;
}

.checkbox-alphanumeric label:hover {
    border-color: var(--primary_clr);
}

::-webkit-scrollbar-thumb:hover {
    background: var(--secodry_action) !important;
}

[type="radio"] {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

[type="radio"]+span:after {
    box-shadow: 0 0 0 0.10em var(--secodry_action);
}

[type="radio"]:checked+span:after {
    background: var(--secodry_action);
    box-shadow: 0 0 0 0.10em var(--secodry_action);
}

.navbar-tool .navbar-tool-label {
    background-color: var(--secodry_action) !important;
}

.btn--primary {
    color: #fff;
    background-color: var(--primary_clr) !important;
    border-color: var(--primary_clr) !important;
}

.btn--primary:hover {
    color: #fff;
    background-color: var(--primary_clr) !important;
    border-color: var(--primary_clr) !important;
}

.btn-secondary {
    background-color: var(--secodry_action) !important;
    border-color: var(--secodry_action) !important;
}

.btn-outline-accent:hover {
    color: #fff;
    background-color: var(--primary_clr);
    border-color: var(--primary_clr);
}

.btn-outline-accent {
    color: var(--primary_clr);
    border-color: var(--primary_clr);
}

.text-accent {
    color: var(--primary_clr);
}

a:hover {
    color: var(--secodry_action);
}

.active-menu {
    color: var(--secodry_action) !important;
}

.page-item.active>.page-link {
    box-shadow: 0 0.5rem 1.125rem -0.425rem var(--primary_clr);


}

.page-item.active .page-link {
    background-color: var(--primary_clr);
}

.btn-outline-accent:not(:disabled):not(.disabled):active,
.btn-outline-accent:not(:disabled):not(.disabled).active,
.show>.btn-outline-accent.dropdown-toggle {
    background-color: var(--secodry_action);
    border-color: var(--secodry_action);
}

.btn-outline-primary {
    color: var(--primary_clr);
    border-color: var(--primary_clr);
}

.btn-outline-primary:hover {
    background-color: var(--secodry_action);
    border-color: var(--secodry_action);
}

.btn-outline-primary:focus,
.btn-outline-primary.focus {
    box-shadow: 0 0 0 0 var(--secodry_action);
}

.btn-outline-primary:not(:disabled):not(.disabled):active,
.btn-outline-primary:not(:disabled):not(.disabled).active,
.show>.btn-outline-primary.dropdown-toggle {
    background-color: var(--primary_clr);
    border-color: var(--primary_clr);
}

.btn-outline-primary:not(:disabled):not(.disabled):active:focus,
.btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.show>.btn-outline-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0 var(--primary_clr);
}

.for-discoutn-value {
    background: var(--primary_clr);
}

.dropdown-menu {
    margin-left: -8px !important;
}



/*footer  */
.page-footer {
    background: var(--priamry_active);
}

/* texts */
.view-all-text {
    color: var(--black-font-clr) !important;
}

/* to target parent */
div:has(.container .end-footer) {
    background: var(--primary_clr);
}

.subscribe-button {
    background: var(--primary_clr) !important;
    color: var(--white-font-clr) !important;
}


.deal_of_the_day {
    background: var(--primary_clr) !important;
}

/* open popup buttons */
.__h-79px {
    background: var(--primary_light) !important;
}
.__h-79px > div .__text-26px{
    color: var(--primary_clr) !important;
}

.__h-79px > div span{
    color: var(--primary_clr) !important;
}
[href="https://amaxconsultancyservices.com/diamond/shopView/0"] > button{
    background: var(--primary_clr) !important;
}


/* product's */
.clickable{
    background: var(--trans) !important;
}

.__inline-9 > div{
    background: white !important;
}
.__inline-9 .widget-list-link {
    color: var(--black-font-clr) !important;
}
.__search-sidebar .__number-filter-btn a{
    background: var(--priamry_active) !important;
}
/* .. */
.__inline-44,
.__search-sidebar .custom-select,
.__search-sidebar .form-control-sm {
    border: 1px solid var(--priamry_active) !important;
}
.__cate-side-price > div > input{
    border: 1px solid var(--priamry_active) !important;
}
.page-item.active .page-link{
    background: var(--priamry_active) !important;
}
.list-group-item > a{
    color: var(--primary_clr) !important;
}

.__dropdown-menu-sizing li:last-child a {
  color: var(--primary_active) !important;
}

.input-group-append button{
    background-color: var(--priamry_active);
    color: var(--white-font-clr) !important;
}
.__brands-cate-badge {
    background: var(--primary_light) !important;
    color: var(--primary_clr) !important;
}

.start_address .widget-list-link,
.footer-padding-bottom ul .widget-list-link {
    color: #c5c9e3 !important;
}
.last-footer-content-align .widget-list-link {
    color: #c5c9e3 !important;
}   
.footer-web-logo{
    height: fit-content !important;
}

.footer-web-logo a
{
    background: white;
    width: fit-content;
    padding: 12px;
    border-radius: 10px;
}

.mega-nav{
    background: var(--primary_light) !important;
    color: var(--primary_clr) !important;
}

/*  */
.__min-h-70px{
    background: var(--trans);
}